
window.onresize = resizeAll;

function resizeAll() {

    $('[style-height="10"]').each(function(one,items){$(items).height(window.innerHeight * 0.2)});
    $('[style-height="20"]').each(function(one,items){$(items).height(window.innerHeight * 0.2)});
    $('[style-height="30"]').each(function(one,items){$(items).height(window.innerHeight * 0.3)});
    $('[style-height="40"]').each(function(one,items){$(items).height(window.innerHeight * 0.4)});
    $('[style-height="50"]').each(function(one,items){$(items).height(window.innerHeight * 0.5)});
    $('[style-height="60"]').each(function(one,items){$(items).height(window.innerHeight * 0.6)});
    $('[style-height="70"]').each(function(one,items){$(items).height(window.innerHeight * 0.7)});
    $('[style-height="80"]').each(function(one,items){$(items).height(window.innerHeight * 0.8)});
    $('[style-height="90"]').each(function(one,items){$(items).height(window.innerHeight * 0.9)});
    $('[style-height="100"]').each(function(one,items){$(items).height(window.innerHeight)});
    $('[style-height="30-r"]').each(function(one,items){$(items).height(window.innerHeight * 0.3)});

    $(".graphsize").each(function(a,grp){
        let graph = $(grp);
        graph.width(window.innerWidth - 35);
        graph.height(window.innerHeight *0.2);
        if (graph.highcharts !== undefined) {
            graph.highcharts().reflow();
        }
    })
}

var resizeTimer = setInterval(function () {
    resizeAll();
}, 5000);

resizeAll();